Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005837 [JEDI VCL] 00 JVCL Components feature N/A 2012-03-19 15:23 2012-09-10 14:15
Reporter Nazgul View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0005837: Add TJvOutlookBarButton.LinkedObject property (patch included)
Description TJvOutlookBarPage has a property named LinkedObject, which allows user to link and object to each page.

I think TJvOutlookBarButton should have this property, too.
Additional Information To implement, add this code to TJvOutlookBarButton declaration:

type
  TJvOutlookBarButton = class(TCollectionItem)
  private
  ...
    FLinkedObject: TObject;
  ...
  public
  ...
    // A property for user's usage, allowing to link an object to the button.
    property LinkedObject: TObject read FLinkedObject write FLinkedObject;
  ...
  end;

That's all!
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0019915)
obones (administrator)
2012-06-12 14:21

This is now added in SVN

- Issue History
Date Modified Username Field Change
2012-03-19 15:23 Nazgul New Issue
2012-06-11 17:23 obones Status new => acknowledged
2012-06-12 14:21 obones Note Added: 0019915
2012-06-12 14:21 obones Status acknowledged => resolved
2012-06-12 14:21 obones Fixed in Version => Daily / SVN
2012-06-12 14:21 obones Resolution open => fixed
2012-06-12 14:21 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker